// oCADis (C)opyright 2006 Jonas Jarvoll
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef __TOOL_ARC_STATE_6_H__
#define __TOOL_ARC_STATE_6_H__

#include "toolbox.h"
#include "tool_arc/tool_arc.h"
#include "toolbox_button.h"
#include "toolbox_action.h"
#include "tableview.h"
#include "sidebar_toolbox.h"
#include "tool_state.h"
#include "document.h"

class ArcState6 : public ToolState
{
public:
	ArcState6( ToolArc* tool, ToolboxSideBar* parent );
	~ArcState6();

	void Init( Canvas* canvas, Document* doc );
	
	void GotFocus( Canvas* canvas, Document* doc, os::Point coord );
	void LostFocus( Canvas* canvas, Document* doc, os::Point coord );
	void PointSelected( Canvas* canvas, Document* doc, os::Point coord );
	void MouseMove( Canvas* canvas, Document* doc, os::Point coord );

	os::String GetStatusText();

	virtual void SetFrame( const os::Rect& cRect, bool bNotifyServer = true );
	virtual void HandleMessage( Canvas* canvas, Document* doc, os::Message* pcMessage );
	void AllAttached( void );

private:
	class _Private;
	_Private* m;
};

#endif

